EUARE-SERVERCERTUPLOAD(1)

NAME
euare-servercertupload - Upload a server certificate

SYNOPSIS
euare-servercertupload (-c CERT_CONTENT | --certificate-file FILE)

(--private-key KEY | --private-key-file FILE)
    [--certificate-chain CHAIN | --certificate-chain-file FILE] [-p PATH] [--as-account ACCOUNT] [-U URL] [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] CERT

DESCRIPTION
Upload a server certificate

  positional arguments:

CERT
    name to give the new server certificate (required)

  optional arguments:

-c CERT_CONTENT, --certificate-body CERT_CONTENT
    PEM-encoded certificate

--certificate-file FILE
    file containing the PEM-encoded certificate

--private-key KEY
    PEM-encoded private key

--private-key-file FILE
    file containing the PEM-encoded private key

--certificate-chain CHAIN
    PEM-encoded certificate chain. This is typically the PEM-encoded certificates of the chain, concatenated together.

--certificate-chain-file FILE
    file containing the PEM-encoded certificate chain. This is typically the PEM-encoded certificates of the chain, concatenated together.

-p PATH, --path PATH
    path for the new server certificate (default: "/")

--as-account ACCOUNT
    [Eucalyptus cloud admin only] run this command as the administrator of another account

-U URL, --url URL
    identity service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit